#ifndef __AST__TYPE_H
#define __AST__TYPE_H

#include <iostream>


class Type
{
    public:
        virtual ~Type() = 0;
        virtual void dump(std::ostream& os, int depth) = 0;
};

class TypeInt32 : public Type
{
    public:
        ~TypeInt32();
        void dump(std::ostream& os, int depth) override;
};


#endif
